from flask import Flask, render_template, request, url_for
from datetime import *

app = Flask(__name__)

membres =[ 
{'nom' : 'Dumont', 'mail':'dumont@free.fr', 'genre': 'm'}, 
{'nom' : 'Durand', 'mail':'durand@orange.fr','genre': 'f'},
{'nom' : 'Dumoulin', 'mail':'dumoulin@gmail.com', 'genre': 'm'},
{'nom' : 'Tailleur', 'mail':'tailleur@free.fr', 'genre': 'f'}, 
{'nom' : 'Lefranc', 'mail':'lefranc@free.fr','genre': 'm'},
{'nom' : 'lefèvre', 'mail':'lefevre@orange.fr','genre': 'f'}
]

@app.route('/')
def bonjour():
    return render_template("index.htm")
	
@app.route('/now')
def horaire():
	maintenant = datetime.now()
	h = maintenant.hour
	mn = maintenant.minute
	return render_template("now.htm", heure = h, minute =mn)
	
@app.route("/adherents")
def liste(): 
	sexe =request.args.get('g')
	if sexe:
		selection = [membre for membre in membres if membre['genre'] == sexe]
	else: 
		selection = membres
	return render_template("adherents.htm", liste = selection)
	
@app.route("/connexion")
def connexion():
	return render_template("connexion.htm")
	
@app.route("/traitement", methods =["POST"])
def traitement():
	mp = request.form['motdepasse']
	id = request.form['identifiant']
	
	if mp == "sesame" :
		return render_template("connexion.htm", utilisateur =id)
	else:
		return render_template("connexion.htm", motdepasse =mp)
		

if __name__ == "__main__":
    app.run()